{% extends 'bookings/booking/booking_detail.html' %}
{% load i18n %}
{% load crispy_forms_filters %}
{% load static %}

{% block title %}
    {% translate 'modifier la réservation' as title %}
    {{ title|capfirst }}
{% endblock title %}

{% block javascript %}
    {{ block.super }}
    <script defer src="{% static 'bookings/booking_edit.js' %}"></script>
{% endblock javascript %}

{% block information %}
    <div class="card-header">
        <a href="{% url 'bookings:booking-details' pk=booking.pk %}"
           class="btn btn-sm btn-warning pull-end">
            <span class="fa-solid fa-xmark"></span> {% translate 'Annuler' %}
        </a>
        <h3 class="card-title">
            <span class="fa-solid fa-rectangle-list"></span> {% translate 'Informations' %}
        </h3>
    </div>
    <div class="card-body">
        <form action="{% url 'bookings:booking-update' pk=booking.pk %}" method="post">
            {{ form.media }}
            {% csrf_token %}
            {{ form|crispy }}
        <div class="btn-group pull-right">
            <button type="submit" class="btn btn-success">
                <span class="fa-solid fa-floppy-disk"></span> Enregistrer
            </button>
            {% if perms.bookings.delete_bookingoccurrence %}
                <a href="{% url 'bookings:booking-delete' pk=booking.pk %}" class="btn btn-danger">
                    <span class="fa-solid fa-trash-can"></span> Supprimer
                </a>
            {% endif %}
        </div>
        </form>
    </div>
{% endblock information %}
